# Class DevelopersOfTheMonthTable

java.lang.Object
net.sf.statcvs.reports.DevelopersOfTheMonthTable

All Implemented Interfaces:
  `TableReport`

public class DevelopersOfTheMonthTable extends Object implements TableReport
Table report which creates a table containing the names of all developers, their LOC contributions and number of changes.

Version:
  $Id: DevelopersTableReport.java,v 1.1 2006/12/08 16:19:25 cyganiak Exp $
Author:
  Anja Jentzsch (anja@anjeve.de)

## Constructor Summary

Constructors
Constructor
Description
`DevelopersOfTheMonthTable(ReportConfig config)`
Creates a table report containing all authors, their number of changes and LOC contributions.

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
Calculates the report from the source data.
`Table`
`getTable()`
Returns the table data model.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DevelopersOfTheMonthTable

public DevelopersOfTheMonthTable(ReportConfig config)
Creates a table report containing all authors, their number of changes and LOC contributions.

Parameters:
  `content` - the version control source data

## Method Details

### calculate

public void calculate()
Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`

### getTable

public Table getTable()
Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model